Impossibile installare pacchetto gksudo

15 risposte [Ultimo contenuto]
Ritratto di badroot
badroot
(Guru)
Offline
Guru
Iscritto: 22/08/2008
Messaggi: 2068

In pratica ti sta chiedendo di rimuovere tutto quello che hai installato sul PC ..... sinceramente mi sembra tutto molto strano, l'esperienza mi insegna che quando succede una cosa del genere l'utente si è dimenticato qualcosa di fondamentale che ha fatto per portare il sistema in queste condizioni.
L'installazione di aptitude non può portare alla rimozione di tutti quei pacchetti, che nulla centrano ... libreoffice, vlc tra i tanti.

Sinceramente posso solo consigliarti le solite sequenze :

sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f

se non funziona ancora, dovrai sperare nell'aiuto di qualcun altro perchè a me non viene in mente altro.

Ritratto di ale.a
ale.a
(Geek)
Offline
Geek
Iscritto: 12/03/2017
Messaggi: 79

Avevo già provato e niente, bah.. Capitano tutte a me, non ho praticamente fatto niente, avevo solo dato qualche comando dist-upgrade l'altro ieri credo ma non vedo perché dovrebbe provocare problemi.

Tra l'altro se seguo l'albero delle dipendenze da gksu arrivo a gconf2, se provo ad installarlo mi dice:

Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:
 
I seguenti pacchetti hanno dipendenze non soddisfatte:
 gconf2 : Dipende: gconf-service (= 3.2.6-4+b1) ma la versione 3.2.6-4.1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

Ma in realtà non installa nulla, e se provo ad installarlo io gconf-service mi dice:

Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
gconf-service è già alla versione più recente (3.2.6-4.1).
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

Ossia che è già installato, mi sa che mi tocca reinstallare Debian.

EDIT:

badroot ha scritto:

In pratica ti sta chiedendo di rimuovere tutto quello che hai installato sul PC ..... sinceramente mi sembra tutto molto strano, l'esperienza mi insegna che quando succede una cosa del genere l'utente si è dimenticato qualcosa di fondamentale che ha fatto per portare il sistema in queste condizioni.
L'installazione di aptitude non può portare alla rimozione di tutti quei pacchetti, che nulla centrano ... libreoffice, vlc tra i tanti.

Sinceramente posso solo consigliarti le solite sequenze :

sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f

se non funziona ancora, dovrai sperare nell'aiuto di qualcun altro perchè a me non viene in mente altro.

Ho pensato a quale possa essere l'unica cosa che non ha permesso una corretta installazione ma non sono sicuro al riguardo, nello specifico durante la scelta di pacchetti extra, questa.
Io nell'installare ho tolto la spunta alla riga "ambiente desktop Debian" pensando che fosse l'ambiente standard non grafico, e ho spuntato "XFCE", stavo pensando che magari invece anche se si vuole usare un ambiente grafico la prima riga vada lasciata spuntata, e l'assenza di questa spunta possa aver causato la mancanza di altri pacchetti che poi mi hanno provocato gli errori riscontrati.
La cosa potrebbe essere collegata col fatto che ad esempio il pacchetto sudo non fosse installato di default?

Ritratto di badroot
badroot
(Guru)
Offline
Guru
Iscritto: 22/08/2008
Messaggi: 2068

ale.a ha scritto:

Io nell'installare ho tolto la spunta alla riga "ambiente desktop Debian" pensando che fosse l'ambiente standard non grafico, e ho spuntato "XFCE", stavo pensando che magari invece anche se si vuole usare un ambiente grafico la prima riga vada lasciata spuntata, e l'assenza di questa spunta possa aver causato la mancanza di altri pacchetti che poi mi hanno provocato gli errori riscontrati.
La cosa potrebbe essere collegata col fatto che ad esempio il pacchetto sudo non fosse installato di default?

Dubito sia quello il problema, io di solito installo dalla netinst, non uso Gnome da molti anni, e quindi tolgo la spunta da "ambiente desktop debian" perchè questo default implica la scelta di Gnome come DE. Non avendo una ADSL particolarmente buona non ho mai voluto correre rischi e quindi tolgo la spunta per metterla su XFCE o MATE, giusto per fare un esempio, non so come si comporti lasciando spuntato sia "ambiente desktop debian" e XFCE, cioè potrebbe intendersi sia come installa entrambi oppure la scelta di XFCE, o di altro desktop, implica di ignorare la prima. Come ho detto non voglio correre il rischio di scaricare anche Gnome per sbaglio.
Detto questo non ho mai avuto problemi, anche se ultimamente per le mie installazioni non spunto nessuno dei DE e procedo ad installarne uno solo successivamente, questo per evitare il task di default con tutte le dipendenze che il manutentore ha previsto, così poi installo la componente core e tutto quello che mi aggrada, anche se è molto più brigoso almeno ho solo ciò che voglio .... se l'installazione la faccio solo a fini di test allora uso uno dei task predefiniti per il DE.

Anche il programma sudo se ben ricordo non viene installato di default, o almeno io lo ho sempre installato manualmente .... ma forse dipende dal fatto che faccio un'installazione minimale senza DE per poi installarlo in seguito.

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2918

Proverei anche questo (ovviamente da root)

aptitude keep-all

Ritratto di ale.a
ale.a
(Geek)
Offline
Geek
Iscritto: 12/03/2017
Messaggi: 79

Grazie ad entrambi per le risposte, purtroppo avendo acquistato un nuovo pc e avendo venduto il precedente non ho più la possibilità di indagare sul problema.
Chiedo quindi se devo lasciare la discussione come non risolta o se devo modificarla.